/*!
 * Copyright (c) 2021-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */
/// <reference types="node" />
import type { MessagePort } from "worker_threads";
export interface File {
    digest: string;
    styles: string;
    tokens: Tokens;
}
export declare type Tokens = Record<string, string>;
export interface MessageArgs {
    signal: Int32Array;
    port: MessagePort;
    filePath: string;
}
export interface CompileResponse extends Partial<File> {
    error?: unknown;
    warning?: string;
}
//# sourceMappingURL=compile.d.ts.map