/*!
 * Copyright (c) 2021-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */
import * as t from "@babel/types";
import type { Tokens } from "./compile";
interface ObjectExpressionArgs {
    tokens: Tokens;
    styles: string;
    digest: string;
}
interface ProxyVariableDeclarationArgs {
    name: string;
}
interface VariableDeclarationArgs extends ObjectExpressionArgs {
    name: string;
}
export declare function variableDeclaration({ name, tokens, styles, digest, }: VariableDeclarationArgs): t.VariableDeclaration;
export declare function identityObjectProxy(): t.NewExpression;
export declare function identityObjectProxyVariableDeclaration({ name, }: ProxyVariableDeclarationArgs): t.VariableDeclaration;
export declare function tokenObjectExpression({ tokens, styles, digest, }: ObjectExpressionArgs): t.ObjectExpression;
export {};
//# sourceMappingURL=nodes.d.ts.map